Skip to main content
GET
/
v2
/
notifications
/
subscriptions
/
permissionless
/
{id}
Retrieve a webhook subscription
curl --request GET \
  --url https://api.circle.com/v2/notifications/subscriptions/permissionless/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
    "endpoint": "https://example.org/handler/for/notifications",
    "enabled": true,
    "notificationTypes": [
      "gateway.*"
    ],
    "restricted": false,
    "addresses": [
      "0x1234567890abcdef1234567890abcdef12345678"
    ],
    "domains": [
      "26"
    ],
    "environment": "TEST",
    "createDate": "2023-01-01T12:04:05Z",
    "updateDate": "2023-01-01T12:04:05Z",
    "name": "Gateway Webhooks"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.circle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Headers

X-Request-Id
string<uuid>

Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.

A unique identifier, which can be helpful for identifying a request when communicating with Circle support.

Example:

"2adba88e-9d63-44bc-b975-9b6ae3440dde"

Path Parameters

id
string<uuid>
required

The universally unique identifier of the resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Successfully retrieved subscription.

data
PermissionlessSubscription · object

Contains information about a permissionless webhook notification subscription.